Page MenuHomePhabricator

[Story] Multilingual support on Special:NewSchema
Closed, ResolvedPublic5 Story Points

Description

Problem:
Right now Special:NewSchema is always using English for the language of Labels/Descriptions/Aliases regardless of the user interface language. It should set them in the user interface language.

BDD
WHEN creating a new Schema via Special:NewSchema
THEN the label, description and aliases I enter are stored in my user interface language

Acceptance criteria:

  • Special:NewSchema stores the new Shema's label, description and aliases for the language of my user interface

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 5:11 PM
Lydia_Pintscher triaged this task as High priority.Feb 24 2019, 3:33 PM
Lydia_Pintscher moved this task from Needs work to Ready to pick up on the Shape Expressions board.
Lydia_Pintscher renamed this task from Multilingual support on Special:NewSchema to [Story] Multilingual support on Special:NewSchema.Feb 24 2019, 3:38 PM
Lucas_Werkmeister_WMDE set the point value for this task to 5.Feb 28 2019, 2:34 PM
Michael claimed this task.Mar 5 2019, 12:46 PM
Michael edited projects, added Shape Expressions Sprint 3; removed Shape Expressions.
Restricted Application added a project: User-Michael. · View Herald TranscriptMar 5 2019, 12:46 PM

Change 494689 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseSchema@master] Make the NewSchema special page multilingual

https://gerrit.wikimedia.org/r/494689

Change 494694 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseSchema@master] Use language aware placeholders

https://gerrit.wikimedia.org/r/494694

Change 494689 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Make the NewSchema special page multilingual

https://gerrit.wikimedia.org/r/494689

Change 494694 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Use language aware placeholders

https://gerrit.wikimedia.org/r/494694

Lydia_Pintscher closed this task as Resolved.Mar 11 2019, 9:33 AM
Lydia_Pintscher moved this task from Verification to Done on the Shape Expressions Sprint 3 board.

\o/